function payoff=J(alpha)
global x Nt Dt

%first solve ODE
y(1)=x;
for n=1:Nt-1
  y(n+1)=y(n)+Dt*f(y(n),alpha(n));  
end

%running payoff
payoff=0;
for n=1:(Nt-1)
  payoff=payoff+r(y(n),alpha(n));
end
payoff=payoff*Dt;

%final payoff
payoff=payoff+g(y(Nt)); %terminal payoff

%penalization for control constraints A=[-1,1]
P=5;
for n=1:Nt
  if alpha(n)>1
     payoff=payoff-P*(alpha(n)-1);
  elseif alpha(n)<-1
     payoff=payoff-P*(-1-alpha(n));
  end
end


